Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 185462 - IlegalArgumentException - added value -2147319128 is less than preceding value 2147410424
IlegalArgumentException - added value -2147319128 is less than preceding valu...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
6.x
HP Windows XP
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@platform
:
: 228914 229593 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 22:03 UTC by mimotti
Modified: 2013-05-15 06:13 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
java.lang.Illegal argumentException:Illogical text range from -107540693 to -107540693 (424.46 KB, application/octet-stream)
2010-05-05 05:45 UTC, mimotti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mimotti 2010-05-04 22:03:56 UTC
Bsr,
J'arrive pas à comprendre l'exception. Y a t'il d'aide SVP
Comment 1 mimotti 2010-05-05 05:45:56 UTC
Created attachment 98465 [details]
java.lang.Illegal argumentException:Illogical text range from -107540693 to  -107540693
Comment 2 Martin Entlicher 2011-01-14 14:42:16 UTC
Integer overflow.
Problems start at
Contents must be presorted - added value -2147319128 is less than preceding value 2147410424

	at org.netbeans.core.output2.IntList.add(IntList.java:70)

	at org.netbeans.core.output2.AbstractLines.lineUpdated(AbstractLines.java:597)

	at org.netbeans.core.output2.OutWriter.write(OutWriter.java:207)

	at org.netbeans.core.output2.OutWriter.doWrite(OutWriter.java:411)

	at org.netbeans.core.output2.OutWriter.println(OutWriter.java:435)

	at org.netbeans.core.output2.OutWriter.println(OutWriter.java:318)

	at org.netbeans.core.output2.NbWriter.println(NbWriter.java:163)


Output does not handle more than Integer.MAX_VALUE characters.
Comment 3 Martin Entlicher 2011-01-18 16:42:01 UTC
In the https://netbeans.org/bugzilla/attachment.cgi?id=98299 (attachment to issue #185284) there are also associated exceptions:
java.lang.IllegalArgumentException: Illogical text range from -1073540693 to -1073540693
        at org.netbeans.core.output2.AbstractLines.getText(AbstractLines.java:108)
        at org.netbeans.core.output2.OutputDocument.getText(OutputDocument.java:203)
        at org.netbeans.core.output2.WrappedTextView.paint(WrappedTextView.java:281)
...
Comment 4 Jaroslav Havlin 2013-04-04 13:33:51 UTC
http://hg.netbeans.org/core-main/rev/6354fcc2ffea
Fixed. Number of lines and characters in Output window is now limited.
See also bug 228022.
Comment 5 Jaroslav Havlin 2013-04-24 06:21:28 UTC
*** Bug 228914 has been marked as a duplicate of this bug. ***
Comment 6 Jaroslav Havlin 2013-05-15 06:13:03 UTC
*** Bug 229593 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo